# std::auto_ptr<T>::get

From cppreference.com
< cpp‎ | memory‎ | auto ptr

T* get() const throw(); |  | (deprecated in C++11) (removed in C++17)

Returns the pointer that is held by *this.

### Parameters

(none)

### Return value

The pointer held by *this.

### See also

operator*operator-> | accesses the managed object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/get&oldid=108390"